import {Feature}from'@common-stack/server-core';import {moduleFunc}from'./containers/module.js';import {RegistryService}from'./services/RegistryService.js';import schema from'./schema/typeDefs.graphql.js';import {resolvers}from'./schema/resolvers/index.js';import {Types}from'./constants.js';import {DockerPolicyContribution}from'./prefrences/policy/index.js';const dockerServiceGen = container => ({
  dockerRegistry: container.get(Types.UniversalRegistryService),
  dockerRegistryManager: container.get(Types.RegistryManagement)
});
var module = new Feature({
  schema,
  createResolversFunc: resolvers,
  createServiceFunc: dockerServiceGen,
  createDataSourceFunc: () => ({
    registry: new RegistryService()
  }),
  createContainerFunc: [moduleFunc],
  addPolicies: {
    createPolicies: DockerPolicyContribution
  }
});export{module as default};//# sourceMappingURL=module.js.map
