import*as nls from'@vscode-alt/monaco-editor/esm/vs/nls.js';import {IApplicationBillingPlanPolicy}from'@ops-stack/core';const ApplicationPolicyContribution = {
  [`application.billingPlan.${IApplicationBillingPlanPolicy.saasDeployment}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanSaasDeployment', 'Saas Deployment'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.dockerRepositories}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanDockerRepositories', 'Private Docker Repositories'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.helmRepositories}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanHelmRepositories', 'Private Helm Repositories'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.kubernetesDashboard}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanKubernetesDashboard', 'Kubernetes Dashboard'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.helmDashboard}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanHelmDashboard', 'Helm Dashboard'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.helmRelease}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanHelmRelease', 'Helm Release'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.builds}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanBuilds', 'Unlimited Builds'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.dataRetention}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanDataRetention', 'Unlimited data retention'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.concurrentBuilds}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanConcurrentBuilds', 'As needed concurrent builds and steps'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.hybridOrOnPremise}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanHybridOrOnPremise', 'Hybrid or On-Premise'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.firewallSupport}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanFirewallSupport', 'Behind the firewall support'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  },
  [`application.billingPlan.${IApplicationBillingPlanPolicy.osSupport}`]: {
    type: 'boolean',
    default: false,
    description: nls.localize('applicationBillingPlanOsSupport', 'Windows, ARM and Mac OS Support'),
    scope: 1 /* ConfigurationScope.APPLICATION */
  }
};export{ApplicationPolicyContribution};//# sourceMappingURL=application-poliy-value.js.map
