import { AxiosInstance } from 'axios';
import { ISearchRequest } from "../interfaces";
export declare class Registry {
    http: AxiosInstance;
    constructor();
    routes: {
        registry: () => string;
        containers: () => string;
        tags: ({ image }: {
            image: any;
        }) => string;
        search: ({ request }: {
            request: any;
        }) => string;
    };
    endpoint(url: any, route: any, input: any, identity?: any): string;
    headers(...data: any[]): {};
    request(url: any, route: any, input: any, options?: any): Promise<any>;
    search(url: string, request: ISearchRequest): Promise<any>;
    registry(url: string): Promise<any>;
    imageTags(url: string, image: string): Promise<any>;
    containers(url: string): Promise<any>;
}
//# sourceMappingURL=Registry.d.ts.map