import {ContainerModule}from'inversify';import {Types}from'../constants.js';import {Registry}from'../services/Registry.js';import {RegistryManagement}from'../services/RegistryManagement.js';import'../migrations/PublicRegistries.js';import {DockerBillingPlanPoliciesMigration}from'../migrations/docker-billing-plan-policies-migration.js';const moduleFunc = () => new ContainerModule(bind => {
  // bind<PublicDockerRegistriesMigration>('MongodbMigration')
  //     .to(PublicDockerRegistriesMigration).whenTargetNamed(PublicDockerRegistriesMigration.name);
  bind(Types.UniversalRegistryService).to(Registry);
  bind(Types.RegistryManagement).to(RegistryManagement);
  bind('MongodbMigration').to(DockerBillingPlanPoliciesMigration).whenTargetNamed(DockerBillingPlanPoliciesMigration.name);
});export{moduleFunc};//# sourceMappingURL=module.js.map
