export interface IDockerRegistry {
    id?: string;
    url: string;
    name: string;
    description: String;
    type: String;
    access_key: String;
    access_secret: String;
    credentials_type: String;
}
export interface IRegistryManagementService {
    remove(_id: string): Promise<boolean>;
    test?(IDockerRegistry: any): Promise<boolean>;
    find(_id: string): Promise<IDockerRegistry>;
    list(owner_id: string): Promise<IDockerRegistry[]>;
    create(payload: IDockerRegistry): Promise<IDockerRegistry>;
    update(_id: string, payload: IDockerRegistry): Promise<IDockerRegistry>;
}
//# sourceMappingURL=RegistryManagement.d.ts.map