import { Registry } from '../../services/Registry';
import { RegistryManagement } from '../../services/RegistryManagement';
export interface DockerModuleContext {
    user: any;
    dockerRegistry: Registry;
    dockerRegistryManager: RegistryManagement;
}
export declare const resolvers: () => {
    Query: {
        dockerCatalog: (root: any, args: any, { dataSources }: {
            dataSources: any;
        }) => any;
        imageTags: (root: any, { image }: {
            image: any;
        }, { dataSources }: {
            dataSources: any;
        }) => any;
        dockerImages: (root: any, args: any, { dataSources }: {
            dataSources: any;
        }) => any;
        dockerSearch: (root: any, { request }: {
            request: any;
        }, { dataSources }: {
            dataSources: any;
        }) => any;
        allDockerRegistries: (root: any, args: any, context: DockerModuleContext) => Promise<{}>;
        dockerRegistryImageTags: (root: any, { registry, image }: {
            registry: any;
            image: any;
        }, context: DockerModuleContext) => Promise<any>;
        dockerRegistryCatalog: (root: any, { registry }: {
            registry: any;
        }, context: DockerModuleContext) => Promise<any>;
        getDockerRegistry: (root: any, { _id }: {
            _id: any;
        }, context: DockerModuleContext) => Promise<import("../../interfaces").IDockerRegistry>;
        testDockerRegistry: (root: any, { payload }: {
            payload: any;
        }, { dockerRegistryManager }: DockerModuleContext) => Promise<boolean>;
    };
    Mutation: {
        createDockerRegistry: (root: any, { payload }: {
            payload: any;
        }, { dockerRegistry, dockerRegistryManager, user }: DockerModuleContext) => Promise<boolean>;
        updateDockerRegistry: (root: any, { id, payload }: {
            id: any;
            payload: any;
        }, { dockerRegistry, dockerRegistryManager }: DockerModuleContext) => Promise<boolean>;
        removeDockerRegistry: (root: any, { id }: {
            id: any;
        }, { dockerRegistry, dockerRegistryManager }: DockerModuleContext) => Promise<boolean>;
    };
};
//# sourceMappingURL=index.d.ts.map